PropertyConfigurator (SLF4J 1.7.4 API)
Date: 2013-03-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j
Class PropertyConfigurator

    java.lang.Object
      org.apache.log4j.PropertyConfigurator

All Implemented Interfaces:
  Configurator

    public class PropertyConfigurator

extends Object
implements Configurator

An nop implementation of PropertyConfigurator.

Field Summary

Fields inherited from interface org.apache.log4j.spi.Configurator
`INHERITED, NULL`

Constructor Summary
`PropertyConfigurator()`

Method Summary
`static void` | `configure(Properties properties)`
`static void` | `configure(String configFilename)`
`static void` | `configure(URL configURL)`
`static void` | `configureAndWatch(String configFilename)`
`static void` | `configureAndWatch(String configFilename, long delay)`
`void` | `doConfigure(Properties properties, LoggerRepository hierarchy)`
`void` | `doConfigure(String configFileName, LoggerRepository hierarchy)`
`void` | `doConfigure(URL configURL, LoggerRepository hierarchy)` Interpret a resource pointed by a URL and set up log4j accordingly.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyConfigurator

    public PropertyConfigurator()

Method Detail

### configure

    public static void configure(Properties properties)

### configure

    public static void configure(String configFilename)

### configure

    public static void configure(URL configURL)

### configureAndWatch

    public static void configureAndWatch(String configFilename)

### configureAndWatch

    public static void configureAndWatch(String configFilename,
                                         long delay)

### doConfigure

    public void doConfigure(Properties properties,
                            LoggerRepository hierarchy)

### doConfigure

    public void doConfigure(String configFileName,
                            LoggerRepository hierarchy)

### doConfigure

    public void doConfigure(URL configURL,
                            LoggerRepository hierarchy)

  Description copied from interface: `Configurator`
  Interpret a resource pointed by a URL and set up log4j accordingly. The configuration is done relative to the `hierarchy` parameter.

  Specified by:
    `doConfigure` in interface `Configurator`
  Parameters:
    `configURL` - The URL to parse
    `hierarchy` - The hierarchy to operation upon.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2013 QOS.ch. All Rights Reserved.